# Handled Class Template Reference

CERTI Handled class. More...

`#include <Handled.hh>`

Inheritance diagram for Handled:

[legend]

List of all members.

## Public Types
typedef T | handle_type
| The handle type from generic class template argument.
## Public Member Functions
| Handled ()
| Default constructor.
| Handled (handle_type hValue)
| Create an handled.
void | setHandle (handle_type hValue)
| Create an handled.
handle_type | getHandle () const
| Get handle.
## Protected Attributes
handle_type | handle

## Detailed Description

### template<typename T>
class certi::Handled< T >

CERTI Handled class.

All classes for which there is an RTI::<handleType> should inherit from Handled< RTI::<handleType>>.

See also:
  Dimension

  Attribute

  ObjectClass

Definition at line 39 of file Handled.hh.

## Member Typedef Documentation

typedef T handle_type

The handle type from generic class template argument.

Definition at line 45 of file Handled.hh.

## Constructor & Destructor Documentation

Handled | ( |  | ) | `[inline]`

Default constructor.

Handle value is initialized with zero

Definition at line 76 of file Handled.hh.

Handled | ( | handle_type | hValue | ) | `[inline]`

Create an handled.

Parameters:

  `[in]` | hValue | initial handle value

Definition at line 80 of file Handled.hh.

## Member Function Documentation

void setHandle | ( | handle_type | hValue | ) | `[inline]`

Create an handled.

Parameters:

  `[in]` | hValue | the handle value

Definition at line 85 of file Handled.hh.

References Handled::handle.

Referenced by certi::fedparser::startSpace().

T getHandle | ( |  | ) | const`[inline]`

Get handle.

Returns:
  Handle value

Definition at line 92 of file Handled.hh.

References Handled::handle.

Referenced by certi::fedparser::addDimension(), ObjectClass::broadcastClassMessage(), RootObject::createRegion(), RTIRegion::getSpaceHandle(), Subscriber::match(), RTI::RTIambassador::notifyAboutRegionModification(), certi::fedparser::startSpace(), and ObjectClass::unsubscribe().

## Member Data Documentation

handle_type handle`[protected]`

Reimplemented in Object.

Definition at line 72 of file Handled.hh.

Referenced by Dimension::Dimension(), Handled::getHandle(), and Handled::setHandle().

The documentation for this class was generated from the following file:

- Handled.hh